//Create a log file for use later.

String.prototype.trim = function(){ return this.replace(/^\s*/, '').replace(/\s*$/, ''); }

Console.writeln("Enter a filename: ");
var strfile = Console.read().trim();

Console.writeln("Creating file object for "+strfile);
var file = new File(strfile);

var done = false;
do {
    
    Console.writeln("\nDo what with "+strfile+"?");
    Console.writeln("1) Check if exists. ");
    Console.writeln("2) Update modifcation time. ");
    Console.writeln("3) Create file. ");
    Console.writeln("4) Truncate file. ");
    Console.writeln("5) Get file info. ");
    Console.writeln("6) Quit. ");
    var choice = parseInt(Console.read());
    if (choice == 1){
        if (file.exists()){
            Console.writeln("Yeppers, file exists.");
        }
		else {
			Console.writeln("Nope, it doesn't exist yet.");
		}
    }
    else if (choice == 2){
        try {
            if (file.touch()){
                Console.writeln("File access and modification time update.");
            }
        }
        catch (e){
            Console.writeln("Time update failed, Exception caught: ");
            Console.writeln(e);
        }
    }
    else if (choice == 3){
        try {
            file.create();
        }
        catch (e){
            Console.writeln("Creation of file failed.  Caught exception: ");
            Console.writeln(e);
        }
    }
	else if (choice == 4){
		try {
			Console.write("Enter file's new length: ");
			var len = parseInt(Console.read());
			file.truncate(len);
		}
		catch (e){
			Console.writeln("Truncation failed.  Caught exception: ");
			Console.writeln(e);
		}
	}
    else if (choice == 5){
		try
		{
            var name = strfile;
            if (file.exists()){
                var perms = file.getPermissions();
				var readable = file.isReadable();
				var writable = file.isWritable();
				var executable = file.isExecutable();
				var modTime = file.getLastModified();
				var accTime = file.getLastAccess();
				var creTime = file.getCreationTime();
				var isdir = file.isDirectory();
				var islink = file.isLink();
				var ispipe = file.isPipe();
				var issock = file.isSocket();
				var size = file.getSize();

                Console.writeln(name);
                Console.writeln("-----------------");
				Console.writeln("Size: "+size);
				Console.writeln("Last Modified: "+modTime);
				Console.writeln("Last Accessed: "+accTime);
				Console.writeln("Created at: "+creTime);
                Console.writeln("Permissions: "+perms.toString(8));
				Console.writeln("\tIs Readable: "+yn(readable));
				Console.writeln("\tIs Writable: "+yn(writable));
				Console.writeln("\tIs Executable: "+yn(executable));
				Console.writeln("Is directory: "+yn(isdir));
				Console.writeln("Is symlink: "+yn(islink));
				Console.writeln("Is pipe: "+yn(ispipe));
				Console.writeln("Is socket: "+yn(issock));
            }
            else {
                Console.writeln(name);
                Console.writeln("-----------------");
                Console.writeln("File does not exist.");
            }
		}
		catch (e)
		{
			Console.writeln("File info collection faile. Exception caught: ");
			Console.writeln(e);
		}
    }
    else if (choice == 6){
        done = true;
    }
} while (done == false);


function yn(b){
	return b?"Yes":"No";
}
